Table of Contents

## Name

XtQueryGeometry - query the preferred geometry of a child widget

## Syntax

XtGeometryResult XtQueryGeometry(Widget w, XtWidgetGeometry
  *intended, XtWidgetGeometry *preferred_return);

## Arguments

Specifies any changes the parent plans to make to the child's geometry or NULL.

Returns the child widget's preferred geometry.

Specifies the widget.

## Description

To discover a child's preferred geometry, the child's parent sets any changes that it intends to make to the child's geometry in the corresponding fields of the intended structure, sets the corresponding bits in intended.request_mode, and calls XtQueryGeometry.

XtQueryGeometry clears all bits in the preferred_return->request_mode and checks the query_geometry field of the specified widget's class record. If query_geometry is not NULL, XtQueryGeometry calls the query_geometry procedure and passes as arguments the specified widget, intended, and preferred_return structures. If the intended argument is NULL, XtQueryGeometry replaces it with a pointer to an XtWidgetGeometry structure with request_mode=0 before calling query_geometry.

## See Also

XtConfigureWidget(3Xt) , XtMakeGeometryRequest(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also